import request from '@/utils/request';
import { AxiosPromise } from 'axios';
import { EquipinfoForm, EquipinfoId, EquipinfoIds, EquipinfoQuery, EquipinfoVO } from './types';

export const listEquipinfo = (query?: EquipinfoQuery): AxiosPromise<EquipinfoVO[]> => {
  return request({ url: '/wcs/equipinfo/list', method: 'get', params: query });
};

export const getEquipinfo = (id: EquipinfoId): AxiosPromise<EquipinfoVO> => {
  return request({ url: '/wcs/equipinfo/' + id, method: 'get' });
};

export const addEquipinfo = (data: EquipinfoForm) => {
  return request({ url: '/wcs/equipinfo', method: 'post', data });
};

export const updateEquipinfo = (data: EquipinfoForm) => {
  return request({ url: '/wcs/equipinfo', method: 'put', data });
};

export const delEquipinfo = (id: EquipinfoId | EquipinfoIds) => {
  return request({ url: '/wcs/equipinfo/' + id, method: 'delete' });
};
